Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infrastructure.propertymanager
Class PropertyManager

    java.lang.Object
      infrastructure.propertymanager.PropertyManager

public class PropertyManager
extends java.lang.Object

A class for handling name-value pair properties. Initialise the property manager by calling the 'initializeProperties' method before use

Author:
  amangat

Method Summary
`static PropertyManager` | `getInstance()` Returns the single instance of the Property manager
`java.lang.String` | `getProperty(java.lang.String key)` Returns the property associated with the key.
`void` | `initializeProperties(java.io.File propertiesFile)` Initialize the property manager
`void` | `setProperty(java.lang.String key, java.lang.String value)` Sets the value of a property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PropertyManager getInstance()

  Returns the single instance of the Property manager

  Returns:

### getProperty

    public java.lang.String getProperty(java.lang.String key)

  Returns the property associated with the key. Returns null if the value is not found

  Parameters:
    `key` -
  Returns:

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)
                     throws PropertyManagementException

  Sets the value of a property. persists the new property

  Parameters:
    `key` -
    `value` -
  Throws:
    `PropertyManagementException`

### initializeProperties

    public void initializeProperties(java.io.File propertiesFile)
                              throws PropertyManagementException

  Initialize the property manager

  Throws:
    `PropertyManagementException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD